=== debian/tests/control ===
Tests:
 minitar,
Depends:
 build-essential,
 file,
 libarchive-dev,
 pkg-config,
